PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List channels GETCreate a channel POSTGet a channel GETUpdate a channel PATCHList channel messages GETCreate a message POSTUpdate a message PATCHDelete a message DELETE
Chats

Create a message

POST
/channels/{channelId}/messages

Authorization

x-api-key<token>

In: header

Path Parameters

channelId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/channels/string/messages" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{  "data": {    "id": "string",    "workspaceId": "string",    "channelId": "string",    "body": "string",    "authorNameSnapshot": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "editedAt": "2019-08-24T14:15:22Z"  }}

List channel messages GET

Previous Page

Update a message PATCH

Next Page

body*string